synaptic freezes when changing preferences on a fresh install

Bug #172487 reported by pdlethbridge on 2007-11-28
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
synaptic (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: synaptic

synaptic acting up in gutsy gibbon 7.10
I think I have found a problem. After a fresh install, if I try to update preferences , synaptic freezes. After a fresh install tonight I tried something else. If you download a couple of packages in synaptic, after they install, you get a screen asking if you want to automatically close, I checked it then changed preferences without a problem except it took about 15-20 seconds to complete. So, would this be termed a bug?

Related branches

pdlethbridge (pdleth) wrote :

feel free to contact me about this.

Pedro Fragoso (ember) wrote :

Thanks for your report. But you might add some more additional information to it.

Please check the following links

https://wiki.ubuntu.com/DebuggingProgramCrash
https://wiki.ubuntu.com/Backtrace

Changed in synaptic:
status: New → Incomplete
pdlethbridge (pdleth) wrote :

I've received these as error messages
pdleth@pdleth-desktop:~$ gksudo synaptic
Another synaptic is running. Trying to bring it to the foreground
pdleth@pdleth-desktop:~$

pdleth@pdleth-desktop:~$ sudo apt-get upgrade
E: Could not get lock /var/lib/dpkg/lock - open (11 Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
When I go to the source /var/lib/dpkg/lock there is a x near the upper right corner of lock

Pedro Fragoso (ember) wrote :

"Another synaptic is running. Trying to bring it to the foreground". Do you have apt or Synpatic running?

pdlethbridge (pdleth) wrote :

pdleth@pdleth-desktop:~$ sudo apt-get install gdb
Reading package lists... Done
Building dependency tree
Reading state information... Done
gdb is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pdleth@pdleth-desktop:~$ sudo gdb <program> 2>&1 | tee gdb-<program>.txt
bash: syntax error near unexpected token `2'
pdleth@pdleth-desktop:~$

pdlethbridge (pdleth) wrote :

nothing else running. Synaptic was freezing and when I force quit I would get that error interminal. Apparently it was still running in the background even after a force quit, as the icon would only flash if you tried to start synaptic again

Pedro Fragoso (ember) wrote :

pdleth@pdleth-desktop:~$ sudo gdb <program> 2>&1 | tee gdb-<program>.txt

<program> as in synaptic

pdleth@pdleth-desktop:~$ sudo gdb synaptic 2>&1 | tee gdb-synaptic.txt

pdlethbridge (pdleth) wrote :

pdleth@pdleth-desktop:~$ sudo gdb synaptic 2>&1 | tee gdb-synaptic.tx
[sudo] password for pdleth:
GNU gdb 6.6-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...
(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(gdb) (gdb) handle SIG33 pass nostop noprint
Undefined command: "". Try "help".
(gdb)
Undefined command: "". Try "help".
(gdb)

pdlethbridge (pdleth) wrote :

opps

pdlethbridge (pdleth) wrote :

pdleth@pdleth-desktop:~$ sudo pidof synaptic
6233
pdleth@pdleth-desktop:~$
pdleth@pdleth-desktop:~$ sudo pidof synaptic
6233
pdleth@pdleth-desktop:~$ gdb 2>&1 | tee gdb-synaptic.txt
GNU gdb 6.6-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i486-linux-gnu".
(gdb) handle SIG33 pass nostop noprint
Signal Stop Print Pass to program Description
SIG33 No No Yes Real-time event 33
(gdb) set pagination 0
(gdb) attach 6233
Attaching to process 6233
ptrace: Operation not permitted.
(gdb)

I hope I did that right?

Pedro Fragoso (ember) on 2007-11-28
Changed in synaptic:
status: Incomplete → Invalid

What does that mean?

Pedro Fragoso <email address hidden> wrote: ** Changed in: synaptic (Ubuntu)
       Status: Incomplete => Invalid

--
synaptic freezes when changing preferences on a fresh install
https://bugs.launchpad.net/bugs/172487
You received this bug notification because you are a direct subscriber
of the bug.

---------------------------------
Be a better sports nut! Let your teams follow you with Yahoo Mobile. Try it now.

pdlethbridge (pdleth) wrote :
Download full text (10.4 KiB)

Can this tell you anything?

pdleth@pdleth-desktop:~$ sudo apt-get install yelp-dbgsym
[sudo] password for pdleth:
Reading package lists... Done
Building dependency tree
Reading state information... Done
yelp-dbgsym is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pdleth@pdleth-desktop:~$ dpkg --search synaptic
synaptic: /usr/share/synaptic/html/ar01s02.html
synaptic: /usr/share/gnome/help/synaptic/C/figures/synaptic-start.png
synaptic: /usr/share/omf/synaptic/synaptic-es.omf
synaptic: /usr/share/synaptic/glade/window_logview.glade
synaptic: /usr/share/synaptic/glade/update_small.png
synaptic: /usr/share/synaptic/html/figures/synaptic-categories.png
synaptic: /usr/share/synaptic/glade/window_repositories.glade
synaptic: /usr/share/gnome/help/synaptic
synaptic: /usr/share/synaptic/pixmaps/red.png
synaptic: /usr/share/gnome/help/synaptic/sv/figures/synaptic-categories.png
synaptic: /usr/share/synaptic/glade/logo.png
synaptic: /usr/share/man/pt_BR/man8/synaptic.8.gz
synaptic: /usr/share/doc/synaptic
synaptic: /usr/share/synaptic/glade/window_details.glade
synaptic: /usr/share/synaptic/html/ar01s05.html
xserver-xorg-input-synaptics: /usr/share/doc/xserver-xorg-input-synaptics/script/usbmouse
xserver-xorg-input-synaptics: /usr/share/doc/xserver-xorg-input-synaptics/README.Debian
synaptic: /usr/share/gnome/help/synaptic/es/figures/synaptic-packagelist.png
synaptic: /usr/share/synaptic/pixmaps
synaptic: /usr/share/gnome/help/synaptic/es/figures
synaptic: /usr/share/gnome/help/synaptic/es/synaptic.xml
synaptic: /usr/share/synaptic/glade/distupgrade_small.png
synaptic: /usr/share/omf/synaptic
synaptic: /usr/share/man/fr/man8/synaptic.8.gz
synaptic: /usr/share/gnome/help/synaptic/es/figures/synaptic-filter.png
synaptic: /usr/share/synaptic/glade/dialog_update_failed.glade
synaptic: /usr/share/synaptic/glade/dialog_conffile.glade
synaptic: /usr/share/synaptic/html/figures/synaptic-repositories.png
synaptic: /usr/share/doc/synaptic/changelog.Debian.gz
synaptic: /usr/share/gnome/help/synaptic/sv/synaptic.xml
synaptic: /usr/share/synaptic/html/figures/synaptic-packagedetails.png
synaptic: /usr/share/doc/synaptic/README.tasks
synaptic: /usr/share/doc/synaptic/README.Debian
synaptic: /usr/share/synaptic/html/ar01s08.html
synaptic: /usr/share/synaptic/glade/window_iconlegend.glade
synaptic: /usr/share/gnome/help/synaptic/es/gpl.xml
xserver-xorg-input-synaptics: /usr/share/doc/xserver-xorg-input-synaptics/NEWS.gz
synaptic: /usr/share/gnome/help/synaptic/sv/figures/synaptic-filter.png
synaptic: /usr/share/gnome/help/synaptic/C/figures/synaptic-repositories.png
xserver-xorg-input-synaptics: /usr/share/doc/xserver-xorg-input-synaptics/TODO
synaptic: /usr/share/synaptic/glade/stock_filter-data-by-criteria.png
synaptic: /usr/share/doc/synaptic/NEWS.gz
synaptic: /usr/share/synaptic/html/figures/synaptic-toolbar.png
synaptic: /usr/share/pixmaps/synaptic.png
synaptic: /usr/share/synaptic/glade/synaptic.xpm
synaptic: /usr/share/gnome/help/synaptic/C/synaptic.xml
synaptic: /usr/share/synaptic/html
app-install-data: /usr/share/app-install/desktop/gsynaptics.desktop
synaptic: /usr/share/gnome/help/synaptic/sv/figures
sy...

pdlethbridge (pdleth) on 2007-11-29
Changed in synaptic:
status: Invalid → In Progress
pdlethbridge (pdleth) wrote :
Download full text (9.2 KiB)

I went to system log viewer and got these results, is there anything here that will help?

Nov 27 20:36:02 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/bin/restricted-manager
Nov 27 20:36:39 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 20:37:42 pdleth-desktop gdm[5068]: pam_unix(gdm-autologin:session): session closed for user pdleth
Nov 27 20:38:59 pdleth-desktop gdm[5135]: pam_unix(gdm-autologin:session): session opened for user pdleth by (uid=0)
Nov 27 20:40:04 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 90177539 --update-at-startup
Nov 27 20:48:53 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic --hide-main-window --non-interactive -o Synaptic::closeZvt=true --parent-window-id 90177539 --set-selections-file /tmp/tmpkujyRg
Nov 27 21:12:28 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:15:23 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:17:01 pdleth-desktop CRON[13876]: pam_unix(cron:session): session opened for user root by (uid=0)
Nov 27 21:17:01 pdleth-desktop CRON[13876]: pam_unix(cron:session): session closed for user root
Nov 27 21:17:02 pdleth-desktop useradd[13885]: new user: name=sshd, UID=109, GID=65534, home=/var/run/sshd, shell=/usr/sbin/nologin
Nov 27 21:17:02 pdleth-desktop chage[13886]: changed password expiry for sshd
Nov 27 21:17:02 pdleth-desktop sshd[13918]: Server listening on :: port 22.
Nov 27 21:17:02 pdleth-desktop sshd[13918]: error: Bind to port 22 on 0.0.0.0 failed: Address already in use.
Nov 27 21:17:52 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:23:56 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:25:01 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:25:11 pdleth-desktop gdm[5135]: pam_unix(gdm-autologin:session): session closed for user pdleth
Nov 27 21:26:16 pdleth-desktop sshd[4807]: Server listening on :: port 22.
Nov 27 21:26:16 pdleth-desktop sshd[4807]: error: Bind to port 22 on 0.0.0.0 failed: Address already in use.
Nov 27 21:26:23 pdleth-desktop gdm[5145]: pam_unix(gdm-autologin:session): session opened for user pdleth by (uid=0)
Nov 27 21:27:13 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:29:04 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 22:14:22 pdleth-desktop sudo: pdleth : TTY=pts/0 ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/bin/apt-get install yelp-dbgsym
Nov 27 22:14:55 pdleth-desktop sudo: pdleth : TTY=pts/0 ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/bin/apt-get update
Nov 27 22:15:59 pdleth-desktop sudo: pdleth : TTY=pts/0 ; PWD=/home/pdlet...

Read more...

pdlethbridge (pdleth) wrote :
Download full text (9.1 KiB)

and this from the /var/log/auth. log it has several references to synaptic
Nov 27 20:36:02 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/bin/restricted-manager
Nov 27 20:36:39 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 20:37:42 pdleth-desktop gdm[5068]: pam_unix(gdm-autologin:session): session closed for user pdleth
Nov 27 20:38:59 pdleth-desktop gdm[5135]: pam_unix(gdm-autologin:session): session opened for user pdleth by (uid=0)
Nov 27 20:40:04 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic --hide-main-window --non-interactive --parent-window-id 90177539 --update-at-startup
Nov 27 20:48:53 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic --hide-main-window --non-interactive -o Synaptic::closeZvt=true --parent-window-id 90177539 --set-selections-file /tmp/tmpkujyRg
Nov 27 21:12:28 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:15:23 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:17:01 pdleth-desktop CRON[13876]: pam_unix(cron:session): session opened for user root by (uid=0)
Nov 27 21:17:01 pdleth-desktop CRON[13876]: pam_unix(cron:session): session closed for user root
Nov 27 21:17:02 pdleth-desktop useradd[13885]: new user: name=sshd, UID=109, GID=65534, home=/var/run/sshd, shell=/usr/sbin/nologin
Nov 27 21:17:02 pdleth-desktop chage[13886]: changed password expiry for sshd
Nov 27 21:17:02 pdleth-desktop sshd[13918]: Server listening on :: port 22.
Nov 27 21:17:02 pdleth-desktop sshd[13918]: error: Bind to port 22 on 0.0.0.0 failed: Address already in use.
Nov 27 21:17:52 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:23:56 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:25:01 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:25:11 pdleth-desktop gdm[5135]: pam_unix(gdm-autologin:session): session closed for user pdleth
Nov 27 21:26:16 pdleth-desktop sshd[4807]: Server listening on :: port 22.
Nov 27 21:26:16 pdleth-desktop sshd[4807]: error: Bind to port 22 on 0.0.0.0 failed: Address already in use.
Nov 27 21:26:23 pdleth-desktop gdm[5145]: pam_unix(gdm-autologin:session): session opened for user pdleth by (uid=0)
Nov 27 21:27:13 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 21:29:04 pdleth-desktop sudo: pdleth : TTY=unknown ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/sbin/synaptic
Nov 27 22:14:22 pdleth-desktop sudo: pdleth : TTY=pts/0 ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/bin/apt-get install yelp-dbgsym
Nov 27 22:14:55 pdleth-desktop sudo: pdleth : TTY=pts/0 ; PWD=/home/pdleth ; USER=root ; COMMAND=/usr/bin/apt-get update
Nov 27 22:15:59 pdleth-desktop sudo: pdleth : TTY=pts/0 ; PWD=/home/pdleth ; USER=root ; C...

Read more...

pdlethbridge (pdleth) on 2007-11-29
Changed in synaptic:
status: In Progress → Incomplete
pdlethbridge (pdleth) on 2007-11-30
Changed in synaptic:
status: Incomplete → New
Pedro Villavicencio (pedro) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering is this still an issue for you? May you please try the same with Jaunty and comment back? Thanks in advance.

Changed in synaptic (Ubuntu):
status: New → Incomplete
dominique (dominiqueoudin) wrote :

when i try to add a column in preferences synaptic freeze

message in terminal

(synaptic:9688): Gtk-WARNING **: GtkSpinButton: setting an adjustment with non-zero page size is deprecated

dominique (dominiqueoudin) wrote :

acertravelmate 650 karmic daily build synaptic 0.62.5

dominique (dominiqueoudin) wrote :

nothing new ?? during some days the bug wasn't present since the last upgrade of Karmic ( two days or one) the bug is again there

thanks

Michael Vogt (mvo) wrote :

I fixed a hang now in the preferences, its in bzr trunk and will be part of the next upload.

Changed in synaptic (Ubuntu):
status: Incomplete → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.9 KiB)

This bug was fixed in the package synaptic - 0.70~pre2ubuntu1

---------------
synaptic (0.70~pre2ubuntu1) natty; urgency=low

  * merged from debian/unstable, remaining changes:
    - ubuntu icons for supported applications
    - launchpad-integration
    - ubuntu changelog download support
    - support section metapackages
    - x-ubuntu-gettext-domain in desktop file

synaptic (0.70~pre2) unstable; urgency=low

  [ Michael Vogt ]
  * po/pt_BR.po:
    - updated, thanks to Sergio Cipolla (closes: #593758)
  * po/id.po:
    - added, thanks to Dirgita
  * po/ru.po:
    - updated, thansk to Yuri Kozlov (closes: #571712)
  * po/de.po:
    - fix fuzzy string, thanks to Alek (closes: #599744)
  * po/et.po:
    - updated, thanks to Guido Tabbernuk
  * po/he.po:
    - updated, thanks to Lior Kaplan and Sergio Cipolla
      (closes: #586940)
  * gtk/rgdebinstallprogress.cc, gtk/rgterminstallprogress.cc:
    - fix FTBFS on latest vte (closes: #597384)
  * common/rpackagecache.{cc,h}, common/rpackage.cc:
    - add cache for PkgFileIterator->pkgIndexFile* to speed up
      RPackage::IsTrusted (LP: #165181)
  * gtk/rgdebinstallprogress.cc:
    - merge fix for error string if those contain a ":"
      (LP: #600658), thanks to Jonathan Thomas and Jean-Baptiste Lallement
  * common/rpackagelister.cc:
    - when sorting by support status use STL stable_parition to speed
      up the list view (thanks to David Purcell)
    - when clicking on the "supported" column, default to showing the
      supported items first, then the unsupported ones
  * gtk/rgmainwindow.cc:
    - show message in quick search label if no apt-xapian-index can
      be found

   [ Jean-Baptiste Lallement ]
   * gtk/rgdebinstallprogress.{cc,h}: Terminal shortcuts fixes
     - fix <CTRL><SHIFT>c behavior (LP: #250359)
     - add shortcuts <CTRL>a and <CTRL><SHIFT>a to select all/none text
       in the terminal
     - add contextual menu to the terminal to select all and copy text
       (LP: #31396)

synaptic (0.70~pre1) unstable; urgency=low

  * New upstream release that merges all changes from
    Debian and Ubuntu into a single tree again. This include libept
    support and lots of fixes.
  * po/sl.po:
    - updated, thanks to Matej Urbančič
  * po/pt_BR.po:
    - updatd, thanks to Sergio Cipolla, closes: #579296
  * gtk/rgmainwindow.cc:
    - fix hang when applying the preferences (LP: #172487)
  * po/th.po:
    - updated, thanks to Theppitak Karoonboonyanan
      (closes: #592696)
  * pre-build.sh:
    - ensure version number gets updated on build

synaptic (0.63.2) unstable; urgency=low

  [ Michael Vogt ]
  * po/uk.po:
    - updated, thanks to Serhij Dubyk
  * po/it.po:
    - updated, thanks to Milo Casagrande (closes: #575685)
  * po/et.po:
    - added, thanks to G. Tabbernuk

  [ Bilal Akhtar ]
  * gtk/rgmainwindow.cc
    - Modify gtk/rgmainwindow.cc to populate package list again after
     'Unmark All' is selected. (LP: #155930)

  [ Jean-Baptiste Lallement ]
  * Fix sorting issues of the package list
    - Fix sort by name and by section (LP: #518509)
    - Improve sort by column performance
  * sort 'installed files' list in alphabetical order (LP: #32550)
  * Set versi...

Read more...

Changed in synaptic (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers